ByteChef LogoByteChef

Zoho Books

Zoho Books is cloud-based accounting software for managing your accounting tasks and organizing your transactions.

Categories: Accounting

Type: zohoBooks/v1


Connections

Version: 1

OAuth2 Authorization Code

Properties

NameLabelTypeDescriptionRequired
regionRegionSTRING
Options zoho.eu, zoho.com, zoho.com.au, zoho.jp, zoho.in, zohocloud.ca
true
organization_idOrganization IdSTRINGtrue
clientIdClient IdSTRINGtrue
clientSecretClient SecretSTRINGtrue

Connection Setup

Create OAuth 2.0 Application

Creation of OAuth 2.0 application is documented here.

Create organization ID

  1. Login to your account at https://www.zoho.com/books/.
  2. Fill in the required fields:
    • Organization Name: Enter a name for your organization (e.g., bytechef).
    • Organization Location: Choose a location for your organization.
  3. Set up your organization profile and click Get Started.
  4. Click on your organization and copy Organization ID.
  5. In Bytechef, choose your region based on Zoho Books domain you are using.

Actions

Create Contact

Name: createContact

Create a new contact.

Properties

NameLabelTypeDescriptionRequired
contact_nameContact NameSTRINGDisplay name of the contact.true
company_nameCompany NameSTRINGCompany name of the contact.false
websiteWebsiteSTRINGWebsite of the contact.false
contact_typeContact TypeSTRING
Options customer, vendor
Contact type of the contact.true
customer_sub_typeCustomer Sub TypeSTRING
Options business, individual
Type of the customer.true
currency_idCurrency IDSTRINGCurrency ID of the customer's currency.false
billing_addressBilling AddressOBJECT
Properties {STRING(attention), STRING(address), STRING(street2), STRING(state_code), STRING(city), STRING(state), STRING(zip), STRING(country), STRING(fax), STRING(phone)}
Billing address of the contact.false
shipping_addressShipping AddressOBJECT
Properties {STRING(attention), STRING(address), STRING(street2), STRING(state_code), STRING(city), STRING(state), STRING(zip), STRING(country), STRING(fax), STRING(phone)}
Shipping address of the contact.false

Example JSON Structure

{
  "label" : "Create Contact",
  "name" : "createContact",
  "parameters" : {
    "contact_name" : "",
    "company_name" : "",
    "website" : "",
    "contact_type" : "",
    "customer_sub_type" : "",
    "currency_id" : "",
    "billing_address" : {
      "attention" : "",
      "address" : "",
      "street2" : "",
      "state_code" : "",
      "city" : "",
      "state" : "",
      "zip" : "",
      "country" : "",
      "fax" : "",
      "phone" : ""
    },
    "shipping_address" : {
      "attention" : "",
      "address" : "",
      "street2" : "",
      "state_code" : "",
      "city" : "",
      "state" : "",
      "zip" : "",
      "country" : "",
      "fax" : "",
      "phone" : ""
    }
  },
  "type" : "zohoBooks/v1/createContact"
}

Output

Type: OBJECT

Properties

NameTypeDescription
codeNUMBERZoho Books error code. This will be zero for a success response and non-zero in case of an error.
messageSTRINGMessage for the invoked API.
contactOBJECT
Properties {}
Created contact.

Output Example

{
  "code" : 0.0,
  "message" : "",
  "contact" : { }
}

Find Currency ID

To find the Currency ID, click here.

Create Invoice

Name: createInvoice

Create an invoice for your customer.

Properties

NameLabelTypeDescriptionRequired
customer_idCustomer IDSTRINGID of the customer the invoice has to be created.true
use_custom_invoice_numberUse Custom Invoice NumberBOOLEAN
Options true, false
If true, create custom invoice number, if false, use auto invoice number generation.true
invoice_numberInvoice NumberSTRINGNumber of invoice.true
line_itemsLine ItemsARRAY
Items [{STRING(item_id), NUMBER(quantity)}]
Items in invoice.true
currency_idCurrency IDSTRINGCurrency ID of the customer's currency.false
dateInvoice DateDATEThe date of the invoice.false
payment_termsPayment TermsINTEGERPayment terms in days e.g. 15, 30, 60. Invoice due date will be calculated based on this.false

Example JSON Structure

{
  "label" : "Create Invoice",
  "name" : "createInvoice",
  "parameters" : {
    "customer_id" : "",
    "use_custom_invoice_number" : false,
    "invoice_number" : "",
    "line_items" : [ {
      "item_id" : "",
      "quantity" : 0.0
    } ],
    "currency_id" : "",
    "date" : "2021-01-01",
    "payment_terms" : 1
  },
  "type" : "zohoBooks/v1/createInvoice"
}

Output

Type: OBJECT

Properties

NameTypeDescription
codeNUMBERZoho Books error code. This will be zero for a success response and non-zero in case of an error.
messageSTRINGMessage for the invoked API.
invoiceOBJECT
Properties {}
Created invoice.

Output Example

{
  "code" : 0.0,
  "message" : "",
  "invoice" : { }
}

Find Customer ID

To find the Customer ID, click here.

Find Item ID

To find the Item ID, click here.

Find Currency ID

To find the Currency ID, click here.

Create Sales Order

Name: createSalesOrder

Create a sales order for your customer.

Properties

NameLabelTypeDescriptionRequired
customer_idCustomer IDSTRINGID of the customer the invoice has to be created.true
use_custom_sales_order_numberUse Custom Sales Order NumberBOOLEAN
Options true, false
If true, create custom sales order number, if false, use auto sales order number generation.true
salesorder_numberSales Order NumberSTRINGNumber of sales order.true
line_itemsLine ItemsARRAY
Items [{STRING(item_id), NUMBER(quantity)}]
Items in invoice.true
currency_idCurrency IDSTRINGCurrency ID of the customer's currency.false
dateSales Order DateDATEThe date the sales order was created.false
shipment_dateSales Order Shipment DateDATEShipping date of sales order.false
payment_termsPayment TermsINTEGERPayment terms in days e.g. 15, 30, 60. Invoice due date will be calculated based on this.false

Example JSON Structure

{
  "label" : "Create Sales Order",
  "name" : "createSalesOrder",
  "parameters" : {
    "customer_id" : "",
    "use_custom_sales_order_number" : false,
    "salesorder_number" : "",
    "line_items" : [ {
      "item_id" : "",
      "quantity" : 0.0
    } ],
    "currency_id" : "",
    "date" : "2021-01-01",
    "shipment_date" : "2021-01-01",
    "payment_terms" : 1
  },
  "type" : "zohoBooks/v1/createSalesOrder"
}

Output

Type: OBJECT

Properties

NameTypeDescription
codeNUMBERZoho Books error code. This will be zero for a success response and non-zero in case of an error.
messageSTRINGMessage for the invoked API.
salesorderOBJECT
Properties {}
Created sales order.

Output Example

{
  "code" : 0.0,
  "message" : "",
  "salesorder" : { }
}

Find Customer ID

To find the Customer ID, click here.

Find Item ID

To find the Item ID, click here.

Find Currency ID

To find the Currency ID, click here.

What to do if your action is not listed here?

If this component doesn't have the action you need, you can use Custom Action to create your own. Custom Actions empower you to define HTTP requests tailored to your specific requirements, allowing for greater flexibility in integrating with external services or APIs.

To create a Custom Action, simply specify the desired HTTP method, path, and any necessary parameters. This way, you can extend the functionality of your component beyond the predefined actions, ensuring that you can meet all your integration needs effectively.


Additional Instructions

How to find the Currency ID

  • Method 1: Via API

Use the GET /settings/currencies endpoint to retrieve a list of all currencies and their IDs.

How to find the Customer ID

  • Method 1: Via API

Use the GET /contacts endpoint to retrieve a list of all customers and their IDs.

  • Method 2: Via UI

Open your Zoho Books dashboard, then navigate to Sales -> Customers from the left-hand menu. Select the desired customer, scroll down to the Record Info section and you’ll find the Customer ID listed there.

How to find the Item ID

  • Method 1: Via API

Use the GET /items endpoint to retrieve a list of all items and their IDs.

How is this guide?

Last updated on

On this page